Package com.independentsoft.office.word.footnoteEndnote

# Class SectionEndnoteProperties

java.lang.Object
com.independentsoft.office.word.footnoteEndnote.SectionEndnoteProperties

public class SectionEndnoteProperties extends Object
The Class SectionEndnoteProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SectionEndnoteProperties()`
  Instantiates a new section endnote properties.
  `SectionEndnoteProperties​(InternalXMLStreamReader reader)`
  Instantiates a new section endnote properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SectionEndnoteProperties`
  `clone()`
  `NumberingFormat`
  `getNumberingFormat()`
  Gets the numbering format.
  `EndnotePositioningLocation`
  `getPlacement()`
  Gets the placement.
  `RestartNumber`
  `getRestartNumber()`
  Gets the restart number.
  `long`
  `getStartNumber()`
  Gets the start number.
  `static boolean`
  `isEmpty​(String value)`
  Checks if is empty.
  `void`
  `setNumberingFormat​(NumberingFormat numberingFormat)`
  Sets the numbering format.
  `void`
  `setPlacement​(EndnotePositioningLocation placement)`
  Sets the placement.
  `void`
  `setRestartNumber​(RestartNumber restartNumber)`
  Sets the restart number.
  `void`
  `setStartNumber​(long startNumber)`
  Sets the start number.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SectionEndnoteProperties

    public SectionEndnoteProperties()
    Instantiates a new section endnote properties.

  - ### SectionEndnoteProperties

    public SectionEndnoteProperties​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new section endnote properties.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public SectionEndnoteProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isEmpty

    public static boolean isEmpty​(String value)
    Checks if is empty.
    Parameters:
      `value` - the value
    Returns:
      true, if is empty

  - ### getNumberingFormat

    public NumberingFormat getNumberingFormat()
    Gets the numbering format.
    Returns:
      the numbering format

  - ### setNumberingFormat

    public void setNumberingFormat​(NumberingFormat numberingFormat)
    Sets the numbering format.
    Parameters:
      `numberingFormat` - the new numbering format

  - ### getRestartNumber

    public RestartNumber getRestartNumber()
    Gets the restart number.
    Returns:
      the restart number

  - ### setRestartNumber

    public void setRestartNumber​(RestartNumber restartNumber)
    Sets the restart number.
    Parameters:
      `restartNumber` - the new restart number

  - ### getStartNumber

    public long getStartNumber()
    Gets the start number.
    Returns:
      the start number

  - ### setStartNumber

    public void setStartNumber​(long startNumber)
    Sets the start number.
    Parameters:
      `startNumber` - the new start number

  - ### getPlacement

    public EndnotePositioningLocation getPlacement()
    Gets the placement.
    Returns:
      the placement

  - ### setPlacement

    public void setPlacement​(EndnotePositioningLocation placement)
    Sets the placement.
    Parameters:
      `placement` - the new placement